## rekonq 2.3.2

=== CMakeLists.txt ===
# Andrea Diamantini - adjam7 at gmail dot com
# rekonq project

PROJECT( rekonq )

# ==================================================================================
# Information to update before to release this package.

# rekonq info
SET(REKONQ_VERSION "2.3.2" )

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-version.h )

SET(REKONQ_SITE "http://rekonq.kde.org")

# ==================================================================================
# minimum cmake required

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.9 FATAL_ERROR)

SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

# ==================================================================================


FIND_PACKAGE(Qt4 4.8.0 COMPONENTS QtCore QtGui QtNetwork QtWebKit REQUIRED)

## Ensure we have QtWebKit >= 2.2.0
#FIND_PACKAGE(PkgConfig REQUIRED)
#PKG_CHECK_MODULES(PC_QTWEBKIT REQUIRED QtWebKit>=4.8.0)
#IF(NOT PC_QTWEBKIT_FOUND)
#  MESSAGE(FATAL_ERROR "QtWebkit 2.2.0 is required for this version of Rekonq")
#ELSE()
#  MESSAGE(STATUS "Found QtWebKit ${PC_QTWEBKIT_VERSION}")
#ENDIF()

FIND_PACKAGE(KDE4 4.8.4 REQUIRED)


INCLUDE(MacroOptionalFindPackage)
INCLUDE(FindPackageHandleStandardArgs)
INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)

ADD_DEFINITIONS(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)


# ==================================================================================
# optional nepomuk requirements

FIND_PACKAGE(Soprano)

FIND_PACKAGE(NepomukCore 0.1.0)

IF(SOPRANO_FOUND AND NepomukCore_FOUND)
    ADD_DEFINITIONS(-DHAVE_NEPOMUK)
ENDIF(SOPRANO_FOUND AND NepomukCore_FOUND)

# ==================================================================================
# optional QCA2 & QtOAuth requirements

MACRO_OPTIONAL_FIND_PACKAGE(QCA2)
MACRO_BOOL_TO_01(QCA2_FOUND HAVE_QCA2)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-qca2.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-qca2.h )


MACRO_OPTIONAL_FIND_PACKAGE(QtOAuth)
MACRO_BOOL_TO_01(QTOAUTH_FOUND HAVE_QTOAUTH)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-qtoauth.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-qtoauth.h )


# ==================================================================================
# optional KActivities requirements

MACRO_OPTIONAL_FIND_PACKAGE(KActivities 6.1.0)
MACRO_BOOL_TO_01(KActivities_FOUND HAVE_KACTIVITIES)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-kactivities.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-kactivities.h )

# ==================================================================================
# Log messages

MESSAGE(STATUS "")
MESSAGE(STATUS "-----------------------------------------------------------------------")
MESSAGE(STATUS " rekonq ${REKONQ_VERSION} dependencies results  <${REKONQ_SITE}>")
MESSAGE(STATUS "")

# Require shared libraries results.

# ----------------------------------- Qt -------------------------------------
SET(QT_VERS_STR
    "${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}.${QT_VERSION_PATCH}"
   )

IF(QT4_FOUND)
    MESSAGE(STATUS " Qt library found...................... YES")
    MESSAGE(STATUS " Qt version ${QT_VERS_STR} found! ")
ELSE(QT4_FOUND)
    MESSAGE(STATUS " Qt library found...................... NO")
    MESSAGE(STATUS "")
    MESSAGE(SEND_ERROR " rekonq needs at least Qt ${QT_MIN_VERSION}. Please install it and try compiling again.")
    MESSAGE(STATUS " Qt website is at http://qt-project.org")
    MESSAGE(STATUS "")
ENDIF(QT4_FOUND)

MESSAGE(STATUS "")

# ---------------------------------- KDE -------------------------------------
SET(KDE_VERS_STR
    "${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}.${KDE_VERSION_RELEASE}"
   )

IF(KDE4_FOUND)
    MESSAGE(STATUS " KDE Desktop Environment............... YES")
    MESSAGE(STATUS " KDE version ${KDE_VERS_STR} found! ")
ELSE(KDE4_FOUND)
    MESSAGE(STATUS " KDE Desktop Environment............... NO")
    MESSAGE(STATUS "")
    MESSAGE(SEND_ERROR " rekonq needs at least KDE ${KDE_MIN_VERSION}. Please install it and try compiling again.")
    MESSAGE(STATUS " KDE website is at http://www.kde.org")
    MESSAGE(STATUS "")
ENDIF(KDE4_FOUND)

##### FINAL RESULTS #####

# create suspance..
MESSAGE(STATUS "")
MESSAGE(STATUS "")

IF(QT4_FOUND AND KDE4_FOUND)
    MESSAGE(STATUS " rekonq will be compiled............... YES")
    SET(REKONQ_CAN_BE_COMPILED true)
ELSE(QT4_FOUND AND KDE4_FOUND)
    MESSAGE(FATAL_ERROR " rekonq will NOT be compiled!")
    SET(REKONQ_CAN_BE_COMPILED false)
ENDIF(QT4_FOUND AND KDE4_FOUND)

# ----------------------- Optional Deps --------------------------------------

IF(REKONQ_CAN_BE_COMPILED)
    MESSAGE(STATUS "")
    MESSAGE(STATUS "")
    MESSAGE(STATUS " ----- Optional Features")
    MESSAGE(STATUS "")

    # Nepomuk

    IF(SOPRANO_FOUND AND NepomukCore_FOUND)
        MESSAGE(STATUS " Nepomuk Libraries..................... YES")
        MESSAGE(STATUS " Rekonq will be compiled with support for bookmarks nepomuk tagging")
    ELSE(SOPRANO_FOUND AND NepomukCore_FOUND)
        MESSAGE(STATUS " Nepomuk Libraries..................... NO")
        MESSAGE(STATUS " Rekonq will be compiled WITHOUT support for bookmarks tagging")
    ENDIF(SOPRANO_FOUND AND NepomukCore_FOUND)

    MESSAGE(STATUS "")

    # QCA2

    IF(HAVE_QCA2)
        MESSAGE(STATUS " QCA2 Libraries........................ YES")
    ELSE(HAVE_QCA2)
        MESSAGE(STATUS " QCA2 Libraries........................ NO")
    ENDIF(HAVE_QCA2)

    # QTOAUTH

    IF(HAVE_QTOAUTH)
        MESSAGE(STATUS " QtOAuth Libraries..................... YES")
    ELSE(HAVE_QTOAUTH)
        MESSAGE(STATUS " QtOAuth Libraries..................... NO")
    ENDIF(HAVE_QTOAUTH)


    IF(HAVE_QCA2 AND HAVE_QTOAUTH)
        MESSAGE(STATUS " Rekonq will be compiled with support for opera sync handler")
    ELSE(HAVE_QCA2 AND HAVE_QTOAUTH)
        MESSAGE(STATUS " Rekonq will be compiled WITHOUT support for opera sync handler")
    ENDIF(HAVE_QCA2 AND HAVE_QTOAUTH)

    # KActivities
    
    IF(HAVE_KACTIVITIES)
        MESSAGE(STATUS " KActivities Libraries................. YES")
        MESSAGE(STATUS " Rekonq will be compiled with support for activities")
    ELSE(HAVE_KACTIVITIES)
        MESSAGE(STATUS " KActivities Libraries................. NO")
        MESSAGE(STATUS " Rekonq will be compiled WITHOUT support for activities")
    ENDIF(HAVE_KACTIVITIES)

    MESSAGE(STATUS "")
    MESSAGE(STATUS "-----------------------------------------------------------------------")
    MESSAGE(STATUS "")

ENDIF(REKONQ_CAN_BE_COMPILED)

# ===============================================================================

IF(REKONQ_CAN_BE_COMPILED)

    ADD_SUBDIRECTORY( src )
    ADD_SUBDIRECTORY( icons )

ENDIF(REKONQ_CAN_BE_COMPILED)

# ================================================================================

# doc & translations
set_property(GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS 1)

# Do not remove or modify these.
# The release script substitutes in for these comments with appropriate doc and translation directories.

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )


include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( doc )

=== doc/CMakeLists.txt ===
add_subdirectory(de)
add_subdirectory(sv)
add_subdirectory(uk)
add_subdirectory(fr)
add_subdirectory(el)
add_subdirectory(en_US)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(et)
add_subdirectory(nl)
add_subdirectory(es)

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(de)
add_subdirectory(it)
add_subdirectory(sr@latin)
add_subdirectory(sv)
add_subdirectory(zh_CN)
add_subdirectory(nb)
add_subdirectory(uk)
add_subdirectory(tr)
add_subdirectory(cs)
add_subdirectory(zh_TW)
add_subdirectory(da)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(sr)
add_subdirectory(sr@ijekavian)
add_subdirectory(fr)
add_subdirectory(fi)
add_subdirectory(el)
add_subdirectory(mr)
add_subdirectory(sl)
add_subdirectory(pl)
add_subdirectory(hu)
add_subdirectory(ia)
add_subdirectory(pt)
add_subdirectory(sk)
add_subdirectory(pt_BR)
add_subdirectory(et)
add_subdirectory(km)
add_subdirectory(nl)
add_subdirectory(es)
add_subdirectory(lt)

=== src/CMakeLists.txt ===
### ------- sub dirs -------

ADD_SUBDIRECTORY( data )


### ------- SETTING REKONQ FILES..
add_definitions(-DQT_STATICPLUGIN)
QT4_WRAP_CPP(wk_HEADERS_MOC qwebkitplatformplugin.h)

# src files
set(rekonq_KDEINIT_SRCS
    #----------------------------------------
    application.cpp
    autosaver.cpp
    searchengine.cpp
    sessionmanager.cpp
    sessionwidget.cpp
    urlresolver.cpp
    websnap.cpp
    #----------------------------------------
    adblock/adblockhostmatcher.cpp
    adblock/adblockmanager.cpp
    adblock/adblockrule.cpp
    adblock/adblockrulefallbackimpl.cpp
    adblock/adblockrulenullimpl.cpp
    adblock/adblockruletextmatchimpl.cpp
    adblock/adblocksettingwidget.cpp
    #----------------------------------------
    bookmarks/bookmarkmanager.cpp
    bookmarks/bookmarkscontextmenu.cpp
    bookmarks/bookmarksmenu.cpp
    bookmarks/bookmarkstoolbar.cpp
    bookmarks/bookmarkstreemodel.cpp
    bookmarks/bookmarkowner.cpp
    #----------------------------------------
    download/downloaditem.cpp
    download/downloadmanager.cpp
    #----------------------------------------
    history/historymanager.cpp
    history/historymodels.cpp
    #----------------------------------------
    icons/icondownloader.cpp
    icons/iconmanager.cpp
    icons/webicon.cpp
    #----------------------------------------
    panels/bookmarkspanel.cpp
    panels/historypanel.cpp
    panels/paneltreeview.cpp
    panels/urlfilterproxymodel.cpp
    panels/urlpanel.cpp
    #----------------------------------------
    rekonqpage/newtabpage.cpp
    rekonqpage/thumbupdater.cpp
    #----------------------------------------
    settings/settingsdialog.cpp
    settings/appearancewidget.cpp
    settings/advancedwidget.cpp
    settings/generalwidget.cpp
    settings/privacywidget.cpp
    settings/tabswidget.cpp
    settings/webkitwidget.cpp
    settings/passexceptionswidget.cpp
    #----------------------------------------
    sync/ftpsynchandler.cpp
    sync/googlesynchandler.cpp
    sync/syncassistant.cpp
    sync/synchandler.cpp
    sync/syncmanager.cpp
    #
    sync/synccheckwidget.cpp
    sync/syncdatawidget.cpp
    sync/synchosttypewidget.cpp
    sync/syncftpsettingswidget.cpp
    sync/syncgooglesettingswidget.cpp
    sync/syncoperasettingswidget.cpp
    #----------------------------------------
    tabwindow/rwindow.cpp
    tabwindow/rekonqwindow.cpp
    tabwindow/tabbar.cpp
    tabwindow/tabhighlighteffect.cpp
    tabwindow/tabpreviewpopup.cpp
    tabwindow/tabwidget.cpp
    #----------------------------------------
    urlbar/urlbar.cpp
    urlbar/completionwidget.cpp
    urlbar/listitem.cpp
    urlbar/adblockwidget.cpp
    urlbar/bookmarkwidget.cpp
    urlbar/rsswidget.cpp
    urlbar/sslwidget.cpp
    urlbar/urlsuggester.cpp
    #----------------------------------------
    useragent/useragentinfo.cpp
    useragent/useragentmanager.cpp
    useragent/useragentwidget.cpp
    #----------------------------------------
    webtab/clicktoflash.cpp
    webtab/crashmessagebar.cpp
    webtab/networkaccessmanager.cpp
    webtab/previewselectorbar.cpp
    webtab/protocolhandler.cpp
    webtab/knetworkaccessmanager.cpp
    webtab/searchenginebar.cpp
    webtab/sslinfodialog.cpp
    webtab/walletbar.cpp
    webtab/webpage.cpp
    webtab/webpluginfactory.cpp
    webtab/websslinfo.cpp
    webtab/webview.cpp
    webtab/webtab.cpp
    #----------------------------------------
    webwindow/findbar.cpp
    webwindow/maintoolbar.cpp
    webwindow/rekonqfactory.cpp
    webwindow/rekonqmenu.cpp
    webwindow/webwindow.cpp
    #----------------------------------------
    kspellplugin.cpp
    ${wk_HEADERS_MOC}
)


# Nepomuk OPTIONAL src files
IF(NepomukCore_FOUND)
    SET( rekonq_KDEINIT_SRCS
            ${rekonq_KDEINIT_SRCS}
            urlbar/resourcelinkdialog.cpp
            urlbar/newresourcedialog.cpp
            nepomuk/utils/simpleresourcemodel.cpp
            nepomuk/utils/resourcemodel.cpp
    )
ENDIF(NepomukCore_FOUND)


# Opera sync optional src files
IF(HAVE_QCA2 AND HAVE_QTOAUTH)
    SET( rekonq_KDEINIT_SRCS
            ${rekonq_KDEINIT_SRCS}
            sync/operasynchandler.cpp
    )
ENDIF(HAVE_QCA2 AND HAVE_QTOAUTH)


# ui files
KDE4_ADD_UI_FILES( rekonq_KDEINIT_SRCS
    # ----------------------------------------
    adblock/blocked_elements.ui
    adblock/settings_adblock.ui
    #----------------------------------------
    settings/settings_general.ui
    settings/settings_tabs.ui
    settings/settings_appearance.ui
    settings/settings_webkit.ui
    settings/settings_advanced.ui
    settings/settings_privacy.ui
    settings/password_exceptions.ui
    # ----------------------------------------
    sync/sync_check.ui
    sync/sync_data.ui
    sync/sync_ftp_settings.ui
    sync/sync_google_settings.ui
    sync/sync_opera_settings.ui
    sync/sync_host_type.ui
    # ----------------------------------------
    useragent/useragentsettings.ui
    # ----------------------------------------
    webtab/sslinfo.ui
    # ----------------------------------------
    cleardata.ui
    session.ui
    webappcreation.ui
 )


### ------------- INCLUDING DIRECTORIES...

INCLUDE_DIRECTORIES (   ${CMAKE_CURRENT_SOURCE_DIR}
                        ${CMAKE_CURRENT_SOURCE_DIR}/adblock
                        ${CMAKE_CURRENT_SOURCE_DIR}/bookmarks
                        ${CMAKE_CURRENT_SOURCE_DIR}/download
                        ${CMAKE_CURRENT_SOURCE_DIR}/history
                        ${CMAKE_CURRENT_SOURCE_DIR}/icons
                        ${CMAKE_CURRENT_SOURCE_DIR}/panels
                        ${CMAKE_CURRENT_SOURCE_DIR}/rekonqpage
                        ${CMAKE_CURRENT_SOURCE_DIR}/settings
                        ${CMAKE_CURRENT_SOURCE_DIR}/sync
                        ${CMAKE_CURRENT_SOURCE_DIR}/urlbar
                        ${CMAKE_CURRENT_SOURCE_DIR}/tabwindow
                        ${CMAKE_CURRENT_SOURCE_DIR}/useragent
                        ${CMAKE_CURRENT_SOURCE_DIR}/webtab
                        ${CMAKE_CURRENT_SOURCE_DIR}/webwindow
                        ${CMAKE_CURRENT_BINARY_DIR}
                        ${KDE4_INCLUDES}
                        ${QT4_INCLUDES}
)

# Nepomuk optional include directories
IF(SOPRANO_FOUND AND NepomukCore_FOUND)
    INCLUDE_DIRECTORIES(${SOPRANO_INCLUDE_DIR}
                        ${NEPOMUK_CORE_INCLUDE_DIR}
    )

    FIND_PACKAGE(Soprano REQUIRED)
    INCLUDE(SopranoAddOntology)
ENDIF(SOPRANO_FOUND AND NepomukCore_FOUND)

# Opera sync optional include directories
IF(HAVE_QCA2 AND HAVE_QTOAUTH)
    INCLUDE_DIRECTORIES(${QCA2_INCLUDE_DIR}
                        ${QTOAUTH_INCLUDE_DIR}
    )
ENDIF(HAVE_QCA2 AND HAVE_QTOAUTH)

# KActivities optional include directories
IF(KActivities_FOUND)
    INCLUDE_DIRECTORIES(${KACTIVITIES_INCLUDE_DIRS}
    )
ENDIF(KActivities_FOUND)


### -------------- ADDING DEFINITIONS...

ADD_DEFINITIONS ( ${KDE4_DEFINITIONS} )


### -------------- ADDING APPLICATION ICON...

KDE4_ADD_APP_ICON( rekonq_KDEINIT_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*-app-rekonq.png )


### -------------- ADDING APPLICATION KCFG FILES...

KDE4_ADD_KCFG_FILES( rekonq_KDEINIT_SRCS rekonq.kcfgc )


### --------------- ADDING EXECUTABLE...

KDE4_ADD_KDEINIT_EXECUTABLE( rekonq ${rekonq_KDEINIT_SRCS} main.cpp )


### --------------- TARGETTING LINK LIBRARIES...

TARGET_LINK_LIBRARIES (     kdeinit_rekonq
                            ${QT_LIBRARIES}
                            ${QT_QTSCRIPT_LIBRARY}
                            ${QT_QTWEBKIT_LIBRARY}
                            ${KDE4_KDEWEBKIT_LIBS}
                            ${KDE4_KUTILS_LIBS}
                            ${KDE4_KDEUI_LIBS}
                            ${KDE4_KIO_LIBS}
                            ${KDE4_KPARTS_LIBS}
                            ${KDE4_SOLID_LIBS}
)

# Nepomuk optional target link libraries
IF(SOPRANO_FOUND AND NepomukCore_FOUND)
    TARGET_LINK_LIBRARIES(  kdeinit_rekonq
                            ${NEPOMUK_CORE_LIBRARY}
                            ${SOPRANO_LIBRARIES}
    )
ENDIF(SOPRANO_FOUND AND NepomukCore_FOUND)

# KActivities optional target link libraries
IF(HAVE_KACTIVITIES)
    TARGET_LINK_LIBRARIES(  kdeinit_rekonq
                            ${KACTIVITIES_LIBRARY}
    )
ENDIF(HAVE_KACTIVITIES)

# Opera sync optional link libraries
IF(HAVE_QCA2 AND HAVE_QTOAUTH)
    TARGET_LINK_LIBRARIES(  kdeinit_rekonq
                            ${QCA2_LIBRARY}
                            ${QTOAUTH_LIBRARY}
    )
ENDIF(HAVE_QCA2 AND HAVE_QTOAUTH)


### ------------ INSTALL FILES...

INSTALL( TARGETS rekonq ${INSTALL_TARGETS_DEFAULT_ARGS} )
INSTALL( TARGETS kdeinit_rekonq  ${INSTALL_TARGETS_DEFAULT_ARGS} )

# kwebapp script install (provided for retro-compatibility...)
#FILE( COPY data/kwebapp DESTINATION ${BIN_INSTALL_DIR}
#        FILE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE )

INSTALL( FILES rekonq.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
INSTALL( FILES webwindow/rekonqui.rc  DESTINATION  ${DATA_INSTALL_DIR}/rekonq )

=== src/data/CMakeLists.txt ===
# image files
INSTALL(
    FILES
    bg2.png
    tile.gif
    category.png
    button.png
    busywidget.gif
    loading.mng
    webkit-icon.png
    autoscroll.png
    background.png
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/pics
)

# default bookmarks
INSTALL(
    FILES
    defaultbookmarks.xbel
    DESTINATION ${DATA_INSTALL_DIR}/rekonq
)

# .desktop file
INSTALL(
    PROGRAMS rekonq.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

# htmls
INSTALL(
    FILES
    rekonqinfo.html
    home.html
    jquery-1.7.2.min.js
    jquery-ui-1.8.20.custom.min.js
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/htmls
)

# adblock default settings
INSTALL(
    FILES
    adblockrc
    DESTINATION ${DATA_INSTALL_DIR}/rekonq
)

# opensearch engines
INSTALL(
    FILES
    beolingus.xml
    bing.xml
    yahoo.xml
    de2en.xml
    dictfr.xml
    facebook.xml
    google.xml
    kde_techbase.xml
    kde_userbase.xml
    youtube.xml
    voila.xml
    wikia.xml
    wikipedia.xml
    wiktionary.xml
    wr_english.xml
    db_opensearch.json
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/opensearch
)

=== debian/changelog ===
rekonq (2.3.2-0ubuntu1) saucy; urgency=low

  * New upstream release. (LP: #1196237) 

 -- Howard Chan <smartboyhw@gmail.com>  Sun, 30 Jun 2013 21:25:41 +0800

rekonq (2.3.1-0ubuntu1) saucy; urgency=low

  * New upstream release. (LP: #1193833)
  * Build-depend on libkactivities-dev for KDE workspace activities support.

 -- Howard Chan <smartboyhw@gmail.com>  Sun, 23 Jun 2013 22:06:09 +0800

rekonq (2.3.0-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1174223)
    - refresh kubuntu_default_homepages.diff
    - drop upstream patches:
      + 0001-downloads-should-by-default-go-to-the-configured-dow.patch
      + 0001-honor-filetype-setting-WRT-embedding.patch
      + 0001-pass-menutitle-through-i18n-to-get-it-localized.patch
      + 0001-i18n-make-sure-text-passed-to-i18n-is-UTF-8.patch
    - build-depend on libx11-dev

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 01 May 2013 19:59:23 +0200

## rekonq 2.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Information to update before to release this package.
 
 # rekonq info
-SET(REKONQ_VERSION "2.3.2" )
+SET(REKONQ_VERSION "2.4.2" )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-version.h )

=== doc/CMakeLists.txt ===
add_subdirectory(es)
add_subdirectory(nl)
add_subdirectory(uk)
add_subdirectory(fr)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(en_US)
add_subdirectory(et)
add_subdirectory(de)
add_subdirectory(sv)
add_subdirectory(el)

=== icons/CMakeLists.txt ===
# install standard icons
KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR} )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(sl)
add_subdirectory(ia)
add_subdirectory(fi)
add_subdirectory(sr@latin)
add_subdirectory(sr@ijekavian)
add_subdirectory(zh_TW)
add_subdirectory(es)
add_subdirectory(eu)
add_subdirectory(nl)
add_subdirectory(zh_CN)
add_subdirectory(uk)
add_subdirectory(nb)
add_subdirectory(tr)
add_subdirectory(da)
add_subdirectory(it)
add_subdirectory(fr)
add_subdirectory(cs)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(hu)
add_subdirectory(lt)
add_subdirectory(km)
add_subdirectory(sk)
add_subdirectory(sr)
add_subdirectory(gl)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(et)
add_subdirectory(de)
add_subdirectory(mr)
add_subdirectory(pl)
add_subdirectory(sv)
add_subdirectory(el)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
     urlresolver.cpp
     websnap.cpp
     #----------------------------------------
+    adblock/adblockelementhiding.cpp
     adblock/adblockhostmatcher.cpp
     adblock/adblockmanager.cpp
     adblock/adblockrule.cpp
@@ -71,8 +72,10 @@
     sync/syncdatawidget.cpp
     sync/synchosttypewidget.cpp
     sync/syncftpsettingswidget.cpp
+    sync/sshsynchandler.cpp
     sync/syncgooglesettingswidget.cpp
     sync/syncoperasettingswidget.cpp
+    sync/syncsshsettingswidget.cpp
     #----------------------------------------
     tabwindow/rwindow.cpp
     tabwindow/rekonqwindow.cpp
@@ -140,7 +143,6 @@
     )
 ENDIF(HAVE_QCA2 AND HAVE_QTOAUTH)
 
-
 # ui files
 KDE4_ADD_UI_FILES( rekonq_KDEINIT_SRCS
     # ----------------------------------------
@@ -160,6 +162,7 @@
     sync/sync_ftp_settings.ui
     sync/sync_google_settings.ui
     sync/sync_opera_settings.ui
+    sync/sync_ssh_settings.ui
     sync/sync_host_type.ui
     # ----------------------------------------
     useragent/useragentsettings.ui

=== doc/de/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/de SUBDIR rekonq )

=== doc/el/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/el SUBDIR rekonq )

=== doc/en_US/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR rekonq )

=== doc/es/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/es SUBDIR rekonq )

=== doc/et/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/et SUBDIR rekonq )

=== doc/fr/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/fr SUBDIR rekonq )

=== doc/nl/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/nl SUBDIR rekonq )

=== debian/changelog ===
rekonq (2.4.2-0ubuntu2) utopic; urgency=medium

  * Remove build-depends on nepomuk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Aug 2014 19:27:54 +0200

rekonq (2.4.2-0ubuntu1) trusty; urgency=medium

  * New upstream release LP: #1268650

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Feb 2014 12:12:18 +0000

rekonq (2.4.0-0ubuntu1) trusty; urgency=low

  * New upstream release LP: #1256270

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Dec 2013 10:52:38 +0000

=== debian/control ===
Source: rekonq
Section: web
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Felix Geyer <debfx-pkg@fobos.de>,
           José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               kdelibs5-dev (>= 4:4.7),
               libqoauth-dev,
               libqtwebkit-dev (>= 2.2.0),
               pkg-config,
               pkg-kde-tools (>= 0.5.0~),
               libx11-dev,
               libkactivities-dev
Standards-Version: 3.9.4
Homepage: http://rekonq.kde.org/
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/rekonq.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/rekonq.git

Package: rekonq
Architecture: any
Depends: kde-baseapps-bin, ${misc:Depends}, ${shlibs:Depends}
Suggests: kget
Provides: www-browser
Description: KDE web browser based on Webkit
 rekonq is a web browser based on WebKit and the KDE technologies.
 Its aim is to integrate nicely in the KDE desktop while providing
 a lightweight experience.
 .
 Non-exhaustive list of features :
  - shares bookmarks and network settings with konqueror
  - uses the kwallet password manager
  - integrates with the kget download manager
  - anonymous browsing mode

Package: rekonq-dbg
Section: debug
Priority: extra
Architecture: any
Depends: rekonq (= ${binary:Version}), ${misc:Depends}
Recommends: kdelibs5-dbg, libqtwebkit4-dbg
Description: debugging symbols for rekonq
 This package contains the debugging symbols associated with rekonq.
 They will automatically be used by gdb for debugging rekonq-related
 issues.

=== debian/watch ===
version=3
http://sf.net/rekonq/rekonq-([\d.-]+)\.tar\.xz

## rekonq 2.4.2-0ubuntu2%2B8.0trisquel3

=== debian/changelog ===
rekonq (2.4.2-0ubuntu2+8.0trisquel3) flidas; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 20 Apr 2018 19:37:25 +0000
